rssMarketplace API

Access the latest Elements Addons, directly from the source.

The Elements Marketplace API provides a simple, read-only JSON endpoint for fetching all available Addons. Use this to power in-app listings, build third-party tools, or stay up to date with the latest components, templates, and integrations available for Elements.

Example Use Case

The Marketplace API is used inside of the Elements Project Chooser to return a list of free projects.

Project Chooser inside of Elements for macOS.

Endpoint

The Marketplace API is accessible via a single, public URL. This endpoint returns a JSON array of all current Addons available in the Elements Marketplace — including templates, components, and integrations.

You can fetch the data using any standard HTTP client, or load it directly into your app or website.

Response

API responses are paginated and results for the current page are found in the data array. Here’s an example of the generic response structure:

List Elements Addons

GET /api/elements/addons To appear in the listing, Addons must meet the following criteria:

  • Approved review status

  • At least one version

  • Has a preview image

Optional properties are omitted when they have no value. The following properties are optional:

  • shortDescription

  • shortDescriptionHTML

  • elementsCloudId

  • links.onlinePreview

Here’s an example of the data structure for an Addon result:

Query Parameters

You can refine the returned results by appending query parameters to the URL. For example:

Name
Description
Default
Options

free

Filter results to show only addons which are available free of charge.

false

true

items

Set the pagination size. Maximum 100.

50

kind

Filter results by the kind of Addon. Single value.

-

component project resource theme

page

Requested page of paginated results.

1

Integer

Last updated

Was this helpful?